Interaction problems between the final release of .NET Framework 2.0 and the WinFX September CTP


I have gotten a couple of questions from customers this week who have installed the final release of the .NET Framework 2.0 and then have had trouble trying to install the WinFX September CTP.  The underlying issue here is that the WinFX September CTP requires the beta 2 version of the .NET Framework 2.0 (v2.0.50215.xx), but the final release of the .NET Framework 2.0 cannot co-exist on the same machine as the beta 2 version of the .NET Framework 2.0.


You will note that if you have the .NET Framework 2.0 beta 2 installed and attempt to install the final release, you will get an error message stating that you need to uninstall beta 2 first.  However, the setup package for the .NET Framework 2.0 beta 2 has no knowledge about the final release of the .NET Framework 2.0 (since it shipped earlier and we cannot predict the future), and therefore beta 2 setup will not block.  Instead, if you try to install beta 2 on a machine with the final release already installed, it will fail with various possible error dialogs.  The most common error I've seen so far is the following:



Error 1920.Service '.NET Runtime Optimization Service v2.0.50215_X86' (clr_optimization_v2.0.50215_32) failed to start. Verify that you have sufficient privileges to start system services.


If you want to use the WinFX September CTP on a machine that already has the final release of the .NET Framework 2.0 and/or VS 2005, you have a couple of options:




  1. Uninstall the final release of the .NET Framework 2.0 and/or VS 2005, then install the WinFX September CTP (which will automatically install .NET Framework 2.0 beta 2 for you)


  2. Install the WinFX September CTP on a separate machine that does not have the final release of the .NET Framework 2.0 or VS 2005 on it


  3. Wait for the next WinFX CTP that will be based on the final release of the .NET Framework 2.0.  Unfortunately, I don't know for sure when the new CTP will be released, but it should be soon...

I apologize for any inconvenience that this scenario is causing....


<update date="11/29/2005"> There is a November 2005 CTP for WinFx now available that works with the final release of VS 2005.  Check out my new blog post for additional information </update>


 

Comments (8)

  1. Yaakov says:

    I really don’t know what I’d done without them.

  2. Juan says:

    wow? thanks for the tip… 😀

  3. Markus Hahn says:

    Thanks a lot for the clarification! Installing WinFX CTP over the final VS2005/NET20 actually damaged the latter one and I had to reinstall everything. Guess I better wait for the next drop of WinFX…

  4. dave brooks says:

    I am joining a WinFX team that has all beta stuff installed. On Monday I installed the WinFX september CTP, then went to install C# express, which REQUIRES that .NET not be installed, I can only uninstall .NET if I uninstall WinFX September CTP first so I appear to be caught in a loop. any ideas?

  5. Hi Dave – unfortunately your only option here is to use the beta 2 version of C# Express until a new WinFX CTP is released that supports the final released version of the .NET Framework 2.0.

  6. J. Cragun says:

    That would explain it. As WinFX fails to install, it rolls back and in the process it takes part of the .Net 2.0 RTM install with it. You will subsequently notice that SQL Server 2005 Management Studio will fail to load as you are now missing core .NET assemblies. A reinstall (repair) of VS 2005 will fix it up. I will be anxiously awaiting a compatible WinFX.

  7. Where to get Visual Studio 2005 and the .NET Framework 2.0 Where to download the .NET Framework 2.0 redistributable

Skip to main content